Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.regex
Interface RegularExpression

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  JRegularExpression

    public interface RegularExpression

extends Serializable

This interface represents a compiled regular expression

Method Summary
`RegexIterator` | `analyze(CharSequence input)` Use this regular expression to analyze an input string, in support of the XSLT analyze-string instruction.
`boolean` | `containsMatch(CharSequence input)` Determine whether the regular expression contains a match of a given string
`boolean` | `matches(CharSequence input)` Determine whether the regular expression match a given string in its entirety
`CharSequence` | `replace(CharSequence input, CharSequence replacement)` Replace all substrings of a supplied input string that match the regular expression with a replacement string.
`SequenceIterator` | `tokenize(CharSequence input)` Use this regular expression to tokenize an input string.

Method Detail

### matches

    boolean matches(CharSequence input)

  Determine whether the regular expression match a given string in its entirety

  Parameters:
    `input` - the string to match
  Returns:
    true if the string matches, false otherwise

### containsMatch

    boolean containsMatch(CharSequence input)

  Determine whether the regular expression contains a match of a given string

  Parameters:
    `input` - the string to match
  Returns:
    true if the string matches, false otherwise

### tokenize

    SequenceIterator tokenize(CharSequence input)

  Use this regular expression to tokenize an input string.

  Parameters:
    `input` - the string to be tokenized
  Returns:
    a SequenceIterator containing the resulting tokens, as objects of type StringValue

### analyze

    RegexIterator analyze(CharSequence input)

  Use this regular expression to analyze an input string, in support of the XSLT analyze-string instruction. The resulting RegexIterator provides both the matching and non-matching substrings, and allows them to be distinguished. It also provides access to matched subgroups.

### replace

    CharSequence replace(CharSequence input,
                         CharSequence replacement)
                         throws XPathException

  Replace all substrings of a supplied input string that match the regular expression with a replacement string.

  Parameters:
    `input` - the input string on which replacements are to be performed
    `replacement` - the replacement string in the format of the XPath replace() function
  Returns:
    the result of performing the replacement
  Throws:
    `XPathException` - if the replacement string is invalid

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.